import QtQuick 1.0
import CustomComponents 1.0

Item {
    id: bonus
    x: centerX-50
    y: centerY-50
    width: 100
    height: 100
    z: 3
    visible: false
    opacity: 1.0

    property int centerX: 0
    property int centerY: 0
    property string currentText: "+"
    property int targetValue: 10
    property int currentValue: 0
    property int lifeTime: 0
    property int textPosX: 80
    property int textPosY: 0

    property int duckPosX: 0
    property int duckPosY: 0

    Text{
        x: textPosX
        y: textPosY
        color: "white"
        font.pixelSize: 20
        text: currentText+currentValue
    }

    Line{
            id: mainLine
            x1: textPosX
            y1: textPosY+30
            x2: duckPosX
            y2: duckPosY+50
            penWidth: 2
            color: "white"
        }

    Line{
            id: underLine
            x1: textPosX
            y1: textPosY+30
            x2: textPosX+30
            y2: textPosY+30
            penWidth: 2
            color: "white"
        }

    Line{
            id: crossLine
            x1: duckPosX-20
            y1: duckPosY-10
            x2: duckPosX+40
            y2: duckPosY+50
            penWidth: 2
            color: "white"
        }
}
